﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TFSTools.TFSLibrary.TestManagement
{
    public enum TFSTestActionType
    {
        /// <summary>
        /// Unknown Test Action Type (Type could not be determined)
        /// </summary>
        Unknown = 0,

        /// <summary>
        /// Shared Step Reference - Title of the Shared Step in a Test Case (Shared Steps will follow)
        /// </summary>
        SharedStepReference = 1,

        /// <summary>
        /// Actual Shared Step action implemented in a Test Case
        /// </summary>
        SharedStep = 2,

        /// <summary>
        /// Non-Shared Step action in a Test Case
        /// </summary>
        TestStep = 3,
    }
}
