﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.TeamFoundation.VersionControl.Client;

namespace TFSTools.TFSLibrary
{
    public sealed class TFSWorkspace : TFSServerEntity
    {
        private Workspace serverWorkspace;

        internal TFSWorkspace(ITFSConnection connection, Workspace workspace)
            : base(connection)
        {
            this.serverWorkspace = workspace;
        }

        internal Workspace ServerEntity { get { return this.serverWorkspace; } }

        public string Name { get { return this.serverWorkspace.Name; } }

        public string Computer { get { return this.serverWorkspace.Computer; } }

        public string Comment { get { return this.serverWorkspace.Comment; } }

        public override string ToString() { return this.Name; }
    }
}
