﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.TeamFoundation.Client;
using TFSTools.TFSLibrary.TestManagement;
using TFSTools.TFSLibrary.VersionControl;

namespace TFSTools.TFSLibrary
{
    public interface ITFSConnection
    {
        void CheckConnection();

        bool TryCheckConnection();

        void CheckProjectConnection();

        bool TryCheckProjectConnection();

        TfsTeamProjectCollection SelectedTeamProjectCollection { get; }
        
        TFSTeamProject SelectedProject { get; }

        TFSWorkItemStore WorkItemStore { get; } 

        TFSVersionControl VersionControl { get; }

        TFSTestManagement TestManagement { get; }

        TFSGroupSecurity GroupSecurity { get; }
    }
}
