﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.TeamFoundation.WorkItemTracking.Client;

namespace TFSTools.TFSLibrary
{
    public static class TFSServerEntityExtract
    {
        public static Attachment ToAttachment(TFSAttachment value)
        {
            return value.ServerEntity;
        }

        public static FieldDefinition ToFieldDefinition(TFSFieldDefinition value)
        {
            return value.ServerEntity;
        }

        public static WorkItem ToWorkItem(TFSWorkItem value)
        {
            return value.ServerEntity;
        }

        public static WorkItemType ToWorkItemType(TFSWorkItemType value)
        {
            return value.ServerEntity;
        }
    }
}
