﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.TeamFoundation.TestManagement.Client;

namespace TFSTools.TFSLibrary.TestManagement
{
    public sealed class TFSUnknownAction : TFSTestAction
    {
        internal TFSUnknownAction(TFSTestCase testCase, ITestAction testAction, decimal stepNumber)
            : base(testCase, testAction, stepNumber)
        {
        }

        public override string Title
        {
            get
            {
                return string.Format("Unknown Action <{0}>", ServerTestAction.Id);
            }
        }

        public override TFSTestActionType ActionType
        {
            get { return TFSTestActionType.Unknown; }
        }
    }
}
